<id>
Joined Date in Message Display - Version 1.1 for YaBB 2.2.1/2.2.2
</id>

<version>
1.1
</version>

<mod info>
This mod will add users joined date in message display.
You can enable/disable these option in your admin panel.

Mod History:
Version 1.0 - Joined Date in Message Display (March 26 2008)
Version 1.1 - Add a checkbox to enable/disable these setting (July 11 2008)

Installation:
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.
 
Admin/ModList.pl
Admin/NewSettings.pl
Admin/Settings_Main.pl
Languages/English/Admin.lng (ASCII)
Languages/English/Display.lng (ASCII)
Sources/Display.pl (ASCII)
</mod info>

<author>
Co-Produktion from Carsten, ThM and derek barnstorm
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$joineddate = "Joined Date in Message Display|Carsten, Thomas Mueller (<a href=\"http://www.yabbwelt.de\" target=\"_blank\">ThM</a>) and derek barnstorm|This mod will add users joined date in message display. You can enable/disable these <a href=\"$adminurl?action=newsettings;page=main\">setting</a> in your admin panel.|1.1|July 11th 2008";
	push (@installed_mods, "$joineddate");
</add before>

<edit file>
Admin/NewSettings.pl
</edit file>

<search for>
\$showgenderimage = $showgenderimage;			# Set to 1 to display each member's gender in the message view (by the ICQ.. etc.)
</search for>

<add after>
\$joineddate = $joineddate;				# Set to 1 to display each member's joined date in the message view 
</add after>

<edit file>
Admin/Settings_Main.pl
</edit file>

<search for>
		{
			description => $admin_txt{'386'},
			input_html => qq~<input type="checkbox" name="showgenderimage" value="1"${ischecked($showgenderimage)} />~,
			name => 'showgenderimage',
			validate => 'boolean',
		},
</search for>

<add after>
		{
			description => $admin_txt{'386a'},
			input_html => qq~<input type="checkbox" name="joineddate" value="1"${ischecked($joineddate)} />~,
			name => 'joineddate',
			validate => 'boolean',
		}, 
</add after>

<edit file>
Languages/English/Display.lng
</edit file>

<search for>
%display_txt = (
</search for>

<add after>
'09' => 'Joined: ', 
</add after>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
'386' => 'Show Gender Image in Message View?',
</search for>

<add after>
'386a' => 'Show User Joined Date in Message View?', 
</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
			$template_usertext = ${$uid.$musername}{'usertext'};
</search for>

<replace>
            		$member_regdate = &timeformat(${$uid.$musername}{'regtime'});
            		$template_usertext = qq~${$uid.$musername}{'usertext'}<br />$display_txt{'09'} $member_regdate<br />~ if $joineddate;
</replace>